<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>

<?
#include "functions.th"

process_switch_httprq(sock.httprqstring);
?>

<HEAD>
   <TITLE>handle_switch</TITLE>
   <script>
<?
	// If the arg "back" is supplied, add a JS redirect to page
	string backto = get_http_argument(sock.httprqstring, "back");
	if (len(backto) > 0) {
?>
	window.location.replace("<?
		sock.setdata(backto);
	?>");
<?
	} 
	sock.send();
?>
</script>
</HEAD>

<BODY>
	<!-- No body content -->
</BODY>
</HTML>